diff -ur -P original/pgopher/console/Graphics.pas patched/pgopher/console/Graphics.pas
--- original/pgopher/console/Graphics.pas	1970-01-01 01:00:00.000000000 +0100
+++ patched/pgopher/console/Graphics.pas	2006-05-06 12:15:05.000000000 +0100
@@ -0,0 +1,47 @@
+unit Graphics;
+
+interface
+{ TColor definition and implementation; required for console programs when full Graphics unit not required }
+type
+  TColor =  -$7FFFFFFF-1..$7FFFFFFF;
+
+const
+  // The following colors match the predefined Delphi Colors
+  clBlack   = TColor($000000);
+  clMaroon  = TColor($000080);
+  clGreen   = TColor($008000);
+  clOlive   = TColor($008080);
+  clNavy    = TColor($800000);
+  clPurple  = TColor($800080);
+  clTeal    = TColor($808000);
+  clGray    = TColor($808080);
+  clSilver  = TColor($C0C0C0);
+  clRed     = TColor($0000FF);
+  clLime    = TColor($00FF00);
+  clYellow  = TColor($00FFFF);
+  clBlue    = TColor($FF0000);
+  clFuchsia = TColor($FF00FF);
+  clAqua    = TColor($FFFF00);
+  clLtGray  = TColor($C0C0C0);
+  clDkGray  = TColor($808080);
+  clWhite   = TColor($FFFFFF);
+  clCream   = TColor($F0FBFF);
+  clNone    = TColor($1FFFFFFF);
+  clDefault = TColor($20000000);
+
+type
+   TDPoint = record
+     X: Double;
+     Y: Double;
+   end;
+   
+   TDRect = record
+     case Integer of
+       0: (Left, Top, Right, Bottom: Double);
+       1: (TopLeft, BottomRight: TDPoint);
+   end;
+
+implementation
+
+end.
+
diff -ur -P original/pgopher/consoledarwin/pgo.compiled patched/pgopher/consoledarwin/pgo.compiled
--- original/pgopher/consoledarwin/pgo.compiled	1970-01-01 01:00:00.000000000 +0100
+++ patched/pgopher/consoledarwin/pgo.compiled	2006-05-06 12:15:05.000000000 +0100
@@ -0,0 +1 @@
+1
diff -ur -P original/pgopher/consolelinux/pgo.compiled patched/pgopher/consolelinux/pgo.compiled
--- original/pgopher/consolelinux/pgo.compiled	1970-01-01 01:00:00.000000000 +0100
+++ patched/pgopher/consolelinux/pgo.compiled	2006-05-06 12:15:05.000000000 +0100
@@ -0,0 +1 @@
+1
diff -ur -P original/pgopher/darwin/pgopher.compiled patched/pgopher/darwin/pgopher.compiled
--- original/pgopher/darwin/pgopher.compiled	1970-01-01 01:00:00.000000000 +0100
+++ patched/pgopher/darwin/pgopher.compiled	2006-05-06 12:15:05.000000000 +0100
@@ -0,0 +1 @@
+1
diff -ur -P original/pgopher/levelfrm.lrs patched/pgopher/levelfrm.lrs
--- original/pgopher/levelfrm.lrs	2005-07-06 09:04:52.000000000 +0100
+++ patched/pgopher/levelfrm.lrs	2006-05-06 12:15:05.000000000 +0100
@@ -1,5 +1,3 @@
-{ This is an automatically generated lazarus resource file }
-
 LazarusResources.Add('TLevelForm','FORMDATA',[
   'TPF0'#10'TLevelForm'#9'LevelForm'#7'Caption'#6#17'Energy Level Plot'#12'Clie'
   +'ntHeight'#3'{'#1#11'ClientWidth'#3','#2#11'Font.Height'#2#245#7'OnClose'#7#9
@@ -203,10 +201,9 @@
   +#11#4'Text'#6#4'None'#4'Left'#3#220#1#6'Height'#2#21#3'Top'#2' '#5'Width'#2
   +'E'#0#0#0#7'TGraphD'#1'G'#11'RecordCalls'#9#5'Align'#7#8'alClient'#10'BevelO'
   +'uter'#7#9'bvLowered'#5'Color'#7#7'clWhite'#11'Font.Height'#2#245#9'Font.Nam'
-  +'e'#6#5'Arial'#8'TabOrder'#2#1#11'OnMouseMove'#7#10'GMouseMove'#3'Xmm'#5#0#0
-  +#0#0#0#0#0#250#6'@'#3'Ymm'#5#0#0#0#0#0#0#0#170#6'@'#8'OnReplot'#13#8'GOption'
-  +'s'#11#11'grLandScape'#14'grColouredPens'#23'grForceSymmetricalMarks'#0#10'S'
-  +'crollBars'#7#6'ssNone'#6'Cursor'#7#7'crCross'#6'Height'#3#6#1#3'Top'#2'b'#5
-  +'Width'#3','#2#0#0#10'TStatusBar'#9'StatusBar'#6'Panels'#14#0#6'Height'#2#19
-  +#3'Top'#3'h'#1#5'Width'#3','#2#0#0#0
+  +'e'#6#5'Arial'#8'TabOrder'#2#1#11'OnMouseMove'#7#10'GMouseMove'#3'Xmm'#3#250
+  +#0#3'Ymm'#3#170#0#8'OnReplot'#13#8'GOptions'#11#11'grLandScape'#14'grColoure'
+  +'dPens'#23'grForceSymmetricalMarks'#0#10'ScrollBars'#7#6'ssNone'#6'Cursor'#7
+  +#7'crCross'#6'Height'#3#6#1#3'Top'#2'b'#5'Width'#3','#2#0#0#10'TStatusBar'#9
+  +'StatusBar'#6'Panels'#14#0#6'Height'#2#19#3'Top'#3'h'#1#5'Width'#3','#2#0#0#0
 ]);
diff -ur -P original/pgopher/LineExportOpt.lrs patched/pgopher/LineExportOpt.lrs
--- original/pgopher/LineExportOpt.lrs	2005-07-06 09:05:00.000000000 +0100
+++ patched/pgopher/LineExportOpt.lrs	2006-05-06 12:15:05.000000000 +0100
@@ -1,5 +1,3 @@
-{ This is an automatically generated lazarus resource file }
-
 LazarusResources.Add('TLineExportOptions','FORMDATA',[
   'TPF0'#18'TLineExportOptions'#17'LineExportOptions'#7'Caption'#6#24'Line List'
   +' Export Options'#12'ClientHeight'#2'l'#11'ClientWidth'#3#5#1#11'Font.Height'
@@ -11,15 +9,14 @@
   +'n'#6#15'Fit File Format'#4'Hint'#6'ACheck to produce file that can be read '
   +'as a .lin file for fitting'#8'TabOrder'#2#0#4'Left'#2')'#6'Height'#2#17#4'H'
   +'int'#6'ACheck to produce file that can be read as a .lin file for fitting'#3
-  +'Top'#2#8#5'Width'#2'p'#0#0#10'TFixedSpin'#13'ThresholdSpin'#9'Increment'#5#0
-  +#0#0#0#0#0#0#128#255'?'#8'MaxValue'#5#0#0#0#0#0#0#0#128#255'?'#6'Places'#2
-  +#255#5'Value'#5#0'hl'#175#5#189'7'#134#235'?'#11'OnIncrement'#7#22'Threshold'
-  +'SpinIncrement'#10'ExtraWidth'#2#15#9'Alignment'#7#14'taRightJustify'#9'MaxL'
-  +'ength'#2'2'#8'TabOrder'#2#1#4'Text'#6#4'1e-6'#4'Left'#3#156#0#6'Height'#2#19
-  +#4'Hint'#6'8Discard transitions below this fraction of the strongest'#3'Top'
-  +#2'$'#5'Width'#2'1'#0#0#7'TButton'#8'OKButton'#7'Caption'#6#2'OK'#7'Default'
-  +#9#11'ModalResult'#2#1#8'TabOrder'#2#2#4'Left'#2')'#6'Height'#2#25#3'Top'#2
-  +'H'#5'Width'#2'K'#0#0#7'TButton'#12'CancelButton'#6'Cancel'#9#7'Caption'#6#6
-  +'Cancel'#11'ModalResult'#2#2#8'TabOrder'#2#3#4'Left'#3#145#0#6'Height'#2#25#3
-  +'Top'#2'H'#5'Width'#2'K'#0#0#0
+  +'Top'#2#8#5'Width'#2'p'#0#0#10'TFixedSpin'#13'ThresholdSpin'#9'Increment'#2#1
+  +#8'MaxValue'#2#1#6'Places'#2#255#5'Value'#5#0'hl'#175#5#189'7'#134#235'?'#11
+  +'OnIncrement'#7#22'ThresholdSpinIncrement'#10'ExtraWidth'#2#15#9'Alignment'#7
+  +#14'taRightJustify'#9'MaxLength'#2'2'#8'TabOrder'#2#1#4'Text'#6#4'1e-6'#4'Le'
+  +'ft'#3#156#0#6'Height'#2#19#4'Hint'#6'8Discard transitions below this fracti'
+  +'on of the strongest'#3'Top'#2'$'#5'Width'#2'1'#0#0#7'TButton'#8'OKButton'#7
+  +'Caption'#6#2'OK'#7'Default'#9#11'ModalResult'#2#1#8'TabOrder'#2#2#4'Left'#2
+  +')'#6'Height'#2#25#3'Top'#2'H'#5'Width'#2'K'#0#0#7'TButton'#12'CancelButton'
+  +#6'Cancel'#9#7'Caption'#6#6'Cancel'#11'ModalResult'#2#2#8'TabOrder'#2#3#4'Le'
+  +'ft'#3#145#0#6'Height'#2#25#3'Top'#2'H'#5'Width'#2'K'#0#0#0
 ]);
diff -ur -P original/pgopher/linux/pgopher.compiled patched/pgopher/linux/pgopher.compiled
--- original/pgopher/linux/pgopher.compiled	1970-01-01 01:00:00.000000000 +0100
+++ patched/pgopher/linux/pgopher.compiled	2006-05-06 12:15:05.000000000 +0100
@@ -0,0 +1 @@
+1
diff -ur -P original/pgopher/logunit.lrs patched/pgopher/logunit.lrs
--- original/pgopher/logunit.lrs	2005-07-06 09:05:08.000000000 +0100
+++ patched/pgopher/logunit.lrs	2006-05-06 12:15:05.000000000 +0100
@@ -1,5 +1,3 @@
-{ This is an automatically generated lazarus resource file }
-
 LazarusResources.Add('TLogForm','FORMDATA',[
   'TPF0'#8'TLogForm'#7'LogForm'#7'Caption'#6#3'Log'#12'ClientHeight'#3#133#1#11
   +'ClientWidth'#3'('#2#11'Font.Height'#2#245#8'OnCreate'#7#10'FormCreate'#9'On'
diff -ur -P original/pgopher/main.lrs patched/pgopher/main.lrs
--- original/pgopher/main.lrs	2005-07-21 23:10:17.000000000 +0100
+++ patched/pgopher/main.lrs	2006-05-06 12:15:05.000000000 +0100
@@ -597,14 +597,14 @@
   +' List To'#10'DefaultExt'#6#4'.out'#6'Filter'#6'lOutput File (*.out)|*.out|C'
   +'SV (Comma Delimited) (*.csv)|*.csv|Tab delimited text (*.txt)|*.txt|All Fil'
   +'es|*.*'#11'FilterIndex'#2#0#5'Title'#6#19'Export Line List To'#4'left'#3#136
-  +#0#3'top'#2'H'#0#0#8'TProject'#7'Project'#5'Build'#2' '#7'Version'#6#3'5.1'
-  +#11'ProjectPath'#6#26'd:\delphi\projects\pgopher'#7'Company'#6'*School of Ch'
-  +'emistry, University of Bristol'#7'Comment'#6#28'<Additional diagnostic info'
-  +'>'#11'Description'#6')Simulates Rotational Structure of Spectra'#12'Special'
-  +'Build'#6'.<How this build differs from a standard build>'#12'PrivateBuild'#6
-  +#21'<Private information>'#11'Productname'#6'&<name of product this file shi'
-  +'ps with>'#14'ProductVersion'#6#9'<0.0.0.0>'#12'OriginalName'#6#11'pgopher.e'
-  +'xe'#10'Trademarks'#6'%<Legal trademarks used in this build>'#8'Language'#6
-  +#10'UK_English'#7'Charset'#6#12'Multilingual'#12'ResourceFile'#6#11'Version.'
-  +'res'#9'BuildDate'#6#17'16 Jul 2005 22:09'#4'left'#2'H'#3'top'#2'('#0#0#0
+  +#0#3'top'#2'H'#0#0#8'TProject'#7'Project'#5'Build'#2'"'#7'Version'#6#3'5.1'#7
+  +'Company'#6'*School of Chemistry, University of Bristol'#7'Comment'#6#28'<Ad'
+  +'ditional diagnostic info>'#11'Description'#6')Simulates Rotational Structur'
+  +'e of Spectra'#12'SpecialBuild'#6'.<How this build differs from a standard b'
+  +'uild>'#12'PrivateBuild'#6#21'<Private information>'#11'Productname'#6'&<nam'
+  +'e of product this file ships with>'#14'ProductVersion'#6#9'<0.0.0.0>'#12'Or'
+  +'iginalName'#6#11'pgopher.exe'#10'Trademarks'#6'%<Legal trademarks used in t'
+  +'his build>'#8'Language'#6#10'UK_English'#7'Charset'#6#12'Multilingual'#12'R'
+  +'esourceFile'#6#11'Version.res'#9'BuildDate'#6#17'16 Jul 2005 22:09'#4'left'
+  +#2'H'#3'top'#2'('#0#0#0
 ]);
diff -ur -P original/pgopher/Mixture.pas patched/pgopher/Mixture.pas
--- original/pgopher/Mixture.pas	2005-07-20 20:54:12.000000000 +0100
+++ patched/pgopher/Mixture.pas	2006-05-06 12:15:05.000000000 +0100
@@ -5,7 +5,7 @@
 interface
 
 uses Graphics, Contnrs, Classes, SysUtils, DOM, Vector, MatrixVec, IntVec, Life,
-     MNode, Units, QuantumNumber, DRIntensity;
+     MNode, Units, QuantumNumber, DRintensity;
 
 const
   { Various special index values }
diff -ur -P original/pgopher/mkpgopher patched/pgopher/mkpgopher
--- original/pgopher/mkpgopher	2005-07-17 23:25:32.000000000 +0100
+++ patched/pgopher/mkpgopher	2006-05-06 12:15:25.000000000 +0100
@@ -6,13 +6,36 @@
 fi
 CPU=`fpc -iSP`
 OS=`fpc -iTO`
-LCL=$LAZDIR/lcl/units/$CPU/$OS
+LCL=$LAZDIR/lcl/units/$CPU-$OS
 if [ ! -f $LCL/controls.o ] ; then
   echo "$LCL/controls.o not found - is LAZDIR set correctly?"
   exit
 fi
-if [ ! -d $CPU/$OS ] ; then
-  mkdir -p $CPU/$OS
+OUT=`uname`
+if [ ! -d $OUT ] ; then
+  mkdir -p $OUT
 fi
-fpc -dLCL -Cs3000000 -FU$CPU/$OS -Fu$LCL -Fu$LCL/gtk -Fu$LAZDIR/components/jpeg/lib -S2i -Cirot -OG1 -gl -vewnhi -Fi../utils -Fu../utils -Fu../wutils -Fl../utils/lib/$CPU/$OS pgopher.lpr
+CMP=$LAZDIR/components
+LT=lib/$CPU-$OS/
+if [ "$OS" = "darwin" ] ; then
+  EXTRA="-Fl/sw/lib -Fl/usr/X11R6/lib"
+fi
+ranlib ../utils/$LT/*.a
+if [ ! -f $CMP/jpeg/$LT/lazjpeg.o ] ; then
+  pushd $CMP/jpeg
+  make
+  popd
+fi
+if [ ! -f $CMP/printers/$LT/printersdlgs.o ] ; then
+  pushd $CMP/printers
+  make
+  popd
+fi
+OLDLAZARUS=-dOLDLAZARUS
 
+fpc -dLCL -Cs300000 -S2i -Cirot -OG1 -gl -vewnhi $OLDLAZARUS \
+    -FU$OUT -Fu$LCL -Fu$LCL/gtk \
+    -Fu$CMP/jpeg/$LT -Fu$CMP/printers/$LT \
+    -Fu$LAZDIR/packager/units/$CPU-$OS \
+    -Fi../utils -Fu../utils -Fu../lutils -Fu../wutils \
+    -Fl../utils/lib/$CPU-$OS $EXTRA pgopher.lpr
diff -ur -P original/pgopher/pgo.lpi patched/pgopher/pgo.lpi
--- original/pgopher/pgo.lpi	1970-01-01 01:00:00.000000000 +0100
+++ patched/pgopher/pgo.lpi	2006-05-06 12:15:05.000000000 +0100
@@ -0,0 +1,56 @@
+<?xml version="1.0"?>
+<CONFIG>
+  <ProjectOptions>
+    <PathDelim Value="/"/>
+    <Version Value="5"/>
+    <General>
+      <Flags>
+        <SaveClosedFiles Value="False"/>
+      </Flags>
+      <SessionStorage Value="InProjectDir"/>
+      <MainUnit Value="0"/>
+      <IconPath Value="./"/>
+      <TargetFileExt Value=""/>
+    </General>
+    <LazDoc Paths=""/>
+    <PublishOptions>
+      <Version Value="2"/>
+      <IgnoreBinaries Value="False"/>
+      <IncludeFileFilter Value="*.(pas|pp|inc|lfm|lpr|lrs|lpi|lpk|sh|xml)"/>
+      <ExcludeFileFilter Value="*.(bak|ppu|ppw|o|so);*~;backup"/>
+    </PublishOptions>
+    <RunParams>
+      <local>
+        <FormatVersion Value="1"/>
+        <LaunchingApplication PathPlusParams="/usr/X11R6/bin/xterm -T 'Lazarus Run Output' -e $(LazarusDir)/tools/runwait.sh $(TargetCmdLine)"/>
+      </local>
+    </RunParams>
+    <RequiredPackages Count="1">
+      <Item1>
+        <PackageName Value="Putils"/>
+      </Item1>
+    </RequiredPackages>
+    <Units Count="1">
+      <Unit0>
+        <Filename Value="pgo.pas"/>
+        <IsPartOfProject Value="True"/>
+        <UnitName Value="pgo"/>
+      </Unit0>
+    </Units>
+  </ProjectOptions>
+  <CompilerOptions>
+    <Version Value="5"/>
+    <SearchPaths>
+      <OtherUnitFiles Value="console/;../lutils/"/>
+      <UnitOutputDirectory Value="console$(TargetOS)"/>
+    </SearchPaths>
+    <CodeGeneration>
+      <Generate Value="Faster"/>
+    </CodeGeneration>
+    <Other>
+      <CustomOptions Value="-dCONSOLE
+"/>
+      <CompilerPath Value="$(CompPath)"/>
+    </Other>
+  </CompilerOptions>
+</CONFIG>
diff -ur -P original/pgopher/pgo.pas patched/pgopher/pgo.pas
--- original/pgopher/pgo.pas	2005-07-05 21:41:22.000000000 +0100
+++ patched/pgopher/pgo.pas	2006-05-06 12:15:05.000000000 +0100
@@ -5,7 +5,7 @@
 uses
   Classes, UCompat,
   OAsymT, SymT, HundA,
-  CommandLine, Graphics, JDXLoader, DrvLoader, DatLoader, JPLCat, Putils;
+  CommandLine, Graphics, JDXLoader, DrvLoader, DatLoader, JPLCat;
 
 begin
   HandleCommandLine;
diff -ur -P original/pgopher/pgopher.lpi patched/pgopher/pgopher.lpi
--- original/pgopher/pgopher.lpi	1970-01-01 01:00:00.000000000 +0100
+++ patched/pgopher/pgopher.lpi	2006-05-06 12:15:05.000000000 +0100
@@ -0,0 +1,72 @@
+<?xml version="1.0"?>
+<CONFIG>
+  <ProjectOptions>
+    <PathDelim Value="/"/>
+    <Version Value="5"/>
+    <General>
+      <Flags>
+        <SaveClosedFiles Value="False"/>
+        <AlwaysBuild Value="False"/>
+      </Flags>
+      <SessionStorage Value="InProjectDir"/>
+      <MainUnit Value="0"/>
+      <IconPath Value="./"/>
+      <TargetFileExt Value=""/>
+    </General>
+    <LazDoc Paths=""/>
+    <PublishOptions>
+      <Version Value="2"/>
+      <IncludeFileFilter Value="*.(pas|pp|inc|lfm|lpr|lrs|lpi|lpk|sh|xml)"/>
+      <ExcludeFileFilter Value="*.(bak|ppu|ppw|o|so);*~;backup"/>
+    </PublishOptions>
+    <RunParams>
+      <local>
+        <FormatVersion Value="1"/>
+        <LaunchingApplication PathPlusParams="/usr/X11R6/bin/xterm -T 'Lazarus Run Output' -e $(LazarusDir)/tools/runwait.sh $(TargetCmdLine)"/>
+      </local>
+    </RunParams>
+    <RequiredPackages Count="4">
+      <Item1>
+        <PackageName Value="Putils"/>
+      </Item1>
+      <Item2>
+        <PackageName Value="PControls"/>
+      </Item2>
+      <Item3>
+        <PackageName Value="LCL"/>
+      </Item3>
+      <Item4>
+        <PackageName Value="jpegforlazarus"/>
+      </Item4>
+    </RequiredPackages>
+    <Units Count="1">
+      <Unit0>
+        <Filename Value="pgopher.lpr"/>
+        <IsPartOfProject Value="True"/>
+      </Unit0>
+    </Units>
+  </ProjectOptions>
+  <CompilerOptions>
+    <Version Value="5"/>
+    <SearchPaths>
+      <OtherUnitFiles Value="../lutils/"/>
+      <UnitOutputDirectory Value="$(TargetOS)"/>
+      <SrcPath Value="$(LazarusDir)/lcl/;$(LazarusDir)/lcl/interfaces/$(LCLWidgetType)/"/>
+    </SearchPaths>
+    <CodeGeneration>
+      <Generate Value="Faster"/>
+    </CodeGeneration>
+    <Linking>
+      <Options>
+        <Win32>
+          <GraphicApplication Value="True"/>
+        </Win32>
+      </Options>
+    </Linking>
+    <Other>
+      <CustomOptions Value="-dOLDLAZARUS
+"/>
+      <CompilerPath Value="$(CompPath)"/>
+    </Other>
+  </CompilerOptions>
+</CONFIG>
diff -ur -P original/pgopher/PickDest.lrs patched/pgopher/PickDest.lrs
--- original/pgopher/PickDest.lrs	2005-06-25 12:43:46.000000000 +0100
+++ patched/pgopher/PickDest.lrs	2006-05-06 12:15:05.000000000 +0100
@@ -1,5 +1,3 @@
-{ This is an automatically generated lazarus resource file }
-
 LazarusResources.Add('TPickDestForm','FORMDATA',[
   'TPF0'#13'TPickDestForm'#12'PickDestForm'#11'BorderIcons'#11#12'biSystemMenu'
   +#6'biHelp'#0#7'Caption'#6#13'Pick Channels'#12'ClientHeight'#3'`'#1#11'Clien'
diff -ur -P original/pgopher/ReadBinary.lrs patched/pgopher/ReadBinary.lrs
--- original/pgopher/ReadBinary.lrs	2005-07-06 22:55:30.000000000 +0100
+++ patched/pgopher/ReadBinary.lrs	2006-05-06 12:15:05.000000000 +0100
@@ -1,5 +1,3 @@
-{ This is an automatically generated lazarus resource file }
-
 LazarusResources.Add('TBinaryImportDlg','FORMDATA',[
   'TPF0'#16'TBinaryImportDlg'#15'BinaryImportDlg'#7'Caption'#6#21'Binary Import'
   +' Options'#12'ClientHeight'#3#246#0#11'ClientWidth'#3#210#0#11'Font.Height'#2
diff -ur -P original/pgopher/StateInfo.lrs patched/pgopher/StateInfo.lrs
--- original/pgopher/StateInfo.lrs	2005-07-06 09:05:30.000000000 +0100
+++ patched/pgopher/StateInfo.lrs	2006-05-06 12:15:05.000000000 +0100
@@ -1,5 +1,3 @@
-{ This is an automatically generated lazarus resource file }
-
 LazarusResources.Add('TStatesForm','FORMDATA',[
   'TPF0'#11'TStatesForm'#10'StatesForm'#7'Caption'#6#13'State Details'#12'Clien'
   +'tHeight'#3'y'#1#11'ClientWidth'#3#210#1#11'Font.Height'#2#245#13'PixelsPerI'
diff -ur -P original/pgopher/traninfo.lrs patched/pgopher/traninfo.lrs
--- original/pgopher/traninfo.lrs	2005-07-06 09:05:34.000000000 +0100
+++ patched/pgopher/traninfo.lrs	2006-05-06 12:15:05.000000000 +0100
@@ -1,5 +1,3 @@
-{ This is an automatically generated lazarus resource file }
-
 LazarusResources.Add('TTransitionForm','FORMDATA',[
   'TPF0'#15'TTransitionForm'#14'TransitionForm'#7'Caption'#6#18'Transition Deta'
   +'ils'#12'ClientHeight'#3#137#1#11'ClientWidth'#3#1#2#11'Font.Height'#2#245#13
diff -ur -P original/utils/MathSup.pas patched/utils/MathSup.pas
--- original/utils/MathSup.pas	2005-07-20 20:54:38.000000000 +0100
+++ patched/utils/MathSup.pas	2006-05-06 12:15:05.000000000 +0100
@@ -1,5 +1,5 @@
 unit MathSup;
-{$I DFS.INC}{ Copyright (C) 2005 C M Western; see UCompat.pas for license}
+{$I DFS.inc}{ Copyright (C) 2005 C M Western; see UCompat.pas for license}
 interface
 
 {$IFNDEF DFS_COMPILER_6_UP}
diff -ur -P original/utils/putils.lpk patched/utils/putils.lpk
--- original/utils/putils.lpk	1970-01-01 01:00:00.000000000 +0100
+++ patched/utils/putils.lpk	2006-05-06 12:15:05.000000000 +0100
@@ -0,0 +1,133 @@
+<?xml version="1.0"?>
+<CONFIG>
+  <Package Version="2">
+    <Name Value="Putils"/>
+    <Author Value="C M Western"/>
+    <CompilerOptions>
+      <Version Value="5"/>
+      <SearchPaths>
+        <OtherUnitFiles Value="$(LazarusDir)/packager/units/$(TargetCPU)-$(TargetOS)/"/>
+        <UnitOutputDirectory Value="$(TargetCPU)-$(TargetOS)"/>
+      </SearchPaths>
+      <CodeGeneration>
+        <Generate Value="Faster"/>
+      </CodeGeneration>
+      <Other>
+        <CustomOptions Value="-dDEBUG"/>
+        <CompilerPath Value="$(CompPath)"/>
+      </Other>
+    </CompilerOptions>
+    <Description Value="Non visual Pgopher Untilies
+"/>
+    <Files Count="23">
+      <Item1>
+        <Filename Value="Lapack.pas"/>
+        <UnitName Value="Lapack"/>
+      </Item1>
+      <Item2>
+        <Filename Value="AirVac.pas"/>
+        <UnitName Value="AirVac"/>
+      </Item2>
+      <Item3>
+        <Filename Value="Blas.pas"/>
+        <UnitName Value="Blas"/>
+      </Item3>
+      <Item4>
+        <Filename Value="Clock.pas"/>
+        <UnitName Value="Clock"/>
+      </Item4>
+      <Item5>
+        <Filename Value="Eig.pas"/>
+        <UnitName Value="Eig"/>
+      </Item5>
+      <Item6>
+        <Filename Value="f2c.pas"/>
+        <UnitName Value="f2c"/>
+      </Item6>
+      <Item7>
+        <Filename Value="Huge.pas"/>
+        <UnitName Value="Huge"/>
+      </Item7>
+      <Item8>
+        <Filename Value="IntVec.pas"/>
+        <UnitName Value="IntVec"/>
+      </Item8>
+      <Item9>
+        <Filename Value="MathSup.pas"/>
+        <UnitName Value="MathSup"/>
+      </Item9>
+      <Item10>
+        <Filename Value="MatrixVec.pas"/>
+        <UnitName Value="MatrixVec"/>
+      </Item10>
+      <Item11>
+        <Filename Value="nj.pas"/>
+        <UnitName Value="nj"/>
+      </Item11>
+      <Item12>
+        <Filename Value="Profile.pas"/>
+        <UnitName Value="Profile"/>
+      </Item12>
+      <Item13>
+        <Filename Value="PropHelp.pas"/>
+        <UnitName Value="PropHelp"/>
+      </Item13>
+      <Item14>
+        <Filename Value="ShellSort.pas"/>
+        <UnitName Value="ShellSort"/>
+      </Item14>
+      <Item15>
+        <Filename Value="TextStrm.pas"/>
+        <UnitName Value="TextStrm"/>
+      </Item15>
+      <Item16>
+        <Filename Value="UCompat.pas"/>
+        <UnitName Value="UCompat"/>
+      </Item16>
+      <Item17>
+        <Filename Value="Vector.pas"/>
+        <UnitName Value="Vector"/>
+      </Item17>
+      <Item18>
+        <Filename Value="Wofz.pas"/>
+        <UnitName Value="Wofz"/>
+      </Item18>
+      <Item19>
+        <Filename Value="LongName.pas"/>
+        <UnitName Value="LongName"/>
+      </Item19>
+      <Item20>
+        <Filename Value="TempStrm.pas"/>
+        <UnitName Value="TempStrm"/>
+      </Item20>
+      <Item21>
+        <Filename Value="TextAssign.pas"/>
+        <UnitName Value="TextAssign"/>
+      </Item21>
+      <Item22>
+        <Filename Value="CharType.pas"/>
+        <UnitName Value="CharType"/>
+      </Item22>
+      <Item23>
+        <Filename Value="Sysinfo.pas"/>
+        <UnitName Value="Sysinfo"/>
+      </Item23>
+    </Files>
+    <Type Value="RunAndDesignTime"/>
+    <RequiredPkgs Count="1">
+      <Item1>
+        <PackageName Value="FCL"/>
+        <MinVersion Major="1" Valid="True"/>
+      </Item1>
+    </RequiredPkgs>
+    <UsageOptions>
+      <IncludePath Value="$(PkgDir)/"/>
+      <LibraryPath Value="$(PkgDir)/lib/$(TargetCPU)-$(TargetOS)/"/>
+      <UnitPath Value="$(PkgOutDir)/"/>
+    </UsageOptions>
+    <PublishOptions>
+      <Version Value="2"/>
+      <IgnoreBinaries Value="False"/>
+    </PublishOptions>
+  </Package>
+</CONFIG>
diff -ur -P original/wutils/AlEdit.pas patched/wutils/AlEdit.pas
--- original/wutils/AlEdit.pas	2005-07-20 20:54:38.000000000 +0100
+++ patched/wutils/AlEdit.pas	2006-05-06 12:15:05.000000000 +0100
@@ -55,7 +55,7 @@
   
 implementation
 
-uses {$IFDEF CLX_} QForms, {$ENDIF} {$IFDEF LCL_} LCLType, LCLIntf, {$ENDIF} UCompat;
+uses {$IFDEF CLX_} QForms, {$ENDIF} {$IFDEF LCL_} LCLType, Types, LCLIntf, {$ENDIF} UCompat;
 
 { TAlignedEdit }
 
diff -ur -P original/wutils/Graphs.pas patched/wutils/Graphs.pas
--- original/wutils/Graphs.pas	2005-07-23 19:28:18.000000000 +0100
+++ patched/wutils/Graphs.pas	2006-05-06 12:15:05.000000000 +0100
@@ -7,7 +7,7 @@
   {$IFNDEF CLX_} Messages, Graphics, Controls, Forms, Dialogs, StdCtrls,
                  ExtCtrls, Menus, ClipBrd, Printers,
   {$ELSE} QGraphics, QControls, QForms, QDialogs, QStdCtrls, QExtCtrls, QMenus, QClipbrd, QPrinters, Types, Qt, {$ENDIF}
-  {$IFDEF LCL_} LCLType, {$ENDIF}
+  {$IFDEF LCL_} LCLType, Types, {$ENDIF}
   SysUtils, Classes, ExpCan, Huge, Prevwdlg, PrintPre, Gstyle, Gmarks, ScrlCtrl;
 
 {$IFNDEF NONWINLCL}
diff -ur -P original/wutils/NGrid.pas patched/wutils/NGrid.pas
--- original/wutils/NGrid.pas	2005-07-20 20:54:40.000000000 +0100
+++ patched/wutils/NGrid.pas	2006-05-06 12:15:05.000000000 +0100
@@ -237,7 +237,7 @@
 implementation
 
 uses {$IFNDEF CLX_} ClipBrd, {$ELSE} Qt, QClipBrd, {$ENDIF}
-     {$IFDEF LCL_} LCLType, LCLIntf, {$ENDIF}
+     {$IFDEF LCL_} LCLType, Types, LCLIntf, {$ENDIF}
      HugeClip, Math, Vector, WCompat, UCompat;
 
 {$IFDEF SINGLE}
diff -ur -P original/wutils/pcontrols.lpk patched/wutils/pcontrols.lpk
--- original/wutils/pcontrols.lpk	1970-01-01 01:00:00.000000000 +0100
+++ patched/wutils/pcontrols.lpk	2006-05-06 12:15:05.000000000 +0100
@@ -0,0 +1,323 @@
+<?xml version="1.0"?>
+<CONFIG>
+  <Package Version="2">
+    <Name Value="PControls"/>
+    <Author Value="C M Western"/>
+    <CompilerOptions>
+      <Version Value="5"/>
+      <SearchPaths>
+        <IncludeFiles Value="../utils/"/>
+        <UnitOutputDirectory Value="$(TargetCPU)-$(TargetOS)"/>
+      </SearchPaths>
+      <CodeGeneration>
+        <Generate Value="Faster"/>
+      </CodeGeneration>
+      <Other>
+        <CustomOptions Value="-dDEBUG"/>
+        <CompilerPath Value="$(CompPath)"/>
+      </Other>
+    </CompilerOptions>
+    <Description Value="Support components for PGOPHER
+"/>
+    <Files Count="68">
+      <Item1>
+        <Filename Value="ComboFix.pas"/>
+        <UnitName Value="ComboFix"/>
+      </Item1>
+      <Item2>
+        <Filename Value="Detach.pas"/>
+        <UnitName Value="Detach"/>
+      </Item2>
+      <Item3>
+        <Filename Value="EditExtr.pas"/>
+        <UnitName Value="EditExtr"/>
+      </Item3>
+      <Item4>
+        <Filename Value="EditLog.lrs"/>
+        <Type Value="LRS"/>
+      </Item4>
+      <Item5>
+        <Filename Value="EditLog.pas"/>
+        <UnitName Value="EditLog"/>
+      </Item5>
+      <Item6>
+        <Filename Value="ExActn.pas"/>
+        <UnitName Value="ExActn"/>
+      </Item6>
+      <Item7>
+        <Filename Value="ExpCan.pas"/>
+        <UnitName Value="ExpCan"/>
+      </Item7>
+      <Item8>
+        <Filename Value="ExportG.pas"/>
+        <UnitName Value="ExportG"/>
+      </Item8>
+      <Item9>
+        <Filename Value="FixFnt.pas"/>
+        <UnitName Value="FixFnt"/>
+      </Item9>
+      <Item10>
+        <Filename Value="FrameGrp.pas"/>
+        <UnitName Value="FrameGrp"/>
+      </Item10>
+      <Item11>
+        <Filename Value="GMarkDlg.lrs"/>
+        <Type Value="LRS"/>
+      </Item11>
+      <Item12>
+        <Filename Value="GMarkDlg.pas"/>
+        <UnitName Value="GMarkDlg"/>
+      </Item12>
+      <Item13>
+        <Filename Value="GraphMrk.lfm"/>
+        <Type Value="LFM"/>
+      </Item13>
+      <Item14>
+        <Filename Value="GraphMrk.lrs"/>
+        <Type Value="LRS"/>
+      </Item14>
+      <Item15>
+        <Filename Value="GraphMrk.pas"/>
+        <UnitName Value="GraphMrk"/>
+      </Item15>
+      <Item16>
+        <Filename Value="GraphPen.lfm"/>
+        <Type Value="LFM"/>
+      </Item16>
+      <Item17>
+        <Filename Value="GraphPen.lrs"/>
+        <Type Value="LRS"/>
+      </Item17>
+      <Item18>
+        <Filename Value="GraphPen.pas"/>
+        <UnitName Value="GraphPen"/>
+      </Item18>
+      <Item19>
+        <Filename Value="Graphs.pas"/>
+        <UnitName Value="Graphs"/>
+      </Item19>
+      <Item20>
+        <Filename Value="GridEx.pas"/>
+        <UnitName Value="GridEx"/>
+      </Item20>
+      <Item21>
+        <Filename Value="Gstyle.pas"/>
+        <UnitName Value="Gstyle"/>
+      </Item21>
+      <Item22>
+        <Filename Value="Handles.pas"/>
+        <UnitName Value="Handles"/>
+      </Item22>
+      <Item23>
+        <Filename Value="HugeClip.pas"/>
+        <UnitName Value="HugeClip"/>
+      </Item23>
+      <Item24>
+        <Filename Value="Log.lrs"/>
+        <Type Value="LRS"/>
+      </Item24>
+      <Item25>
+        <Filename Value="Log.pas"/>
+        <UnitName Value="Log"/>
+      </Item25>
+      <Item26>
+        <Filename Value="LogFiDlg.lfm"/>
+        <Type Value="LFM"/>
+      </Item26>
+      <Item27>
+        <Filename Value="LogFiDlg.lrs"/>
+        <Type Value="LRS"/>
+      </Item27>
+      <Item28>
+        <Filename Value="LogFiDlg.pas"/>
+        <UnitName Value="LogFiDlg"/>
+      </Item28>
+      <Item29>
+        <Filename Value="LogFind.pas"/>
+        <UnitName Value="LogFind"/>
+      </Item29>
+      <Item30>
+        <Filename Value="MakeHelp.pas"/>
+        <UnitName Value="MakeHelp"/>
+      </Item30>
+      <Item31>
+        <Filename Value="MarkChse.lfm"/>
+        <Type Value="LFM"/>
+      </Item31>
+      <Item32>
+        <Filename Value="MarkChse.lrs"/>
+        <Type Value="LRS"/>
+      </Item32>
+      <Item33>
+        <Filename Value="MarkChse.pas"/>
+        <UnitName Value="MarkChse"/>
+      </Item33>
+      <Item34>
+        <Filename Value="MRUFList.lrs"/>
+        <Type Value="LRS"/>
+      </Item34>
+      <Item35>
+        <Filename Value="MRUFList.pas"/>
+        <UnitName Value="MRUFList"/>
+      </Item35>
+      <Item36>
+        <Filename Value="NewSpin.pas"/>
+        <UnitName Value="NewSpin"/>
+      </Item36>
+      <Item37>
+        <Filename Value="NGrid.lrs"/>
+        <Type Value="LRS"/>
+      </Item37>
+      <Item38>
+        <Filename Value="NGrid.pas"/>
+        <UnitName Value="NGrid"/>
+      </Item38>
+      <Item39>
+        <Filename Value="PenChse.lfm"/>
+        <Type Value="LFM"/>
+      </Item39>
+      <Item40>
+        <Filename Value="PenChse.lrs"/>
+        <Type Value="LRS"/>
+      </Item40>
+      <Item41>
+        <Filename Value="PenChse.pas"/>
+        <UnitName Value="PenChse"/>
+      </Item41>
+      <Item42>
+        <Filename Value="PrintPre.lrs"/>
+        <Type Value="LRS"/>
+      </Item42>
+      <Item43>
+        <Filename Value="PrintPre.pas"/>
+        <UnitName Value="PrintPre"/>
+      </Item43>
+      <Item44>
+        <Filename Value="ProjAbout.lfm"/>
+        <Type Value="LFM"/>
+      </Item44>
+      <Item45>
+        <Filename Value="ProjAbout.lrs"/>
+        <Type Value="LRS"/>
+      </Item45>
+      <Item46>
+        <Filename Value="ProjAbout.pas"/>
+        <UnitName Value="ProjAbout"/>
+      </Item46>
+      <Item47>
+        <Filename Value="ResActn.pas"/>
+        <UnitName Value="ResActn"/>
+      </Item47>
+      <Item48>
+        <Filename Value="ScrlCtrl.pas"/>
+        <UnitName Value="ScrlCtrl"/>
+      </Item48>
+      <Item49>
+        <Filename Value="Split.pas"/>
+        <UnitName Value="Split"/>
+      </Item49>
+      <Item50>
+        <Filename Value="SrchStrs.pas"/>
+        <UnitName Value="SrchStrs"/>
+      </Item50>
+      <Item51>
+        <Filename Value="ToolBarEx.lrs"/>
+        <Type Value="LRS"/>
+      </Item51>
+      <Item52>
+        <Filename Value="ToolBarEx.pas"/>
+        <UnitName Value="ToolBarEx"/>
+      </Item52>
+      <Item53>
+        <Filename Value="WCompat.pas"/>
+        <UnitName Value="WCompat"/>
+      </Item53>
+      <Item54>
+        <Filename Value="WhatsThis.pas"/>
+        <UnitName Value="WhatsThis"/>
+      </Item54>
+      <Item55>
+        <Filename Value="LogActn.pas"/>
+        <UnitName Value="LogActn"/>
+      </Item55>
+      <Item56>
+        <Filename Value="TextPre.lfm"/>
+        <Type Value="LFM"/>
+      </Item56>
+      <Item57>
+        <Filename Value="TextPre.lrs"/>
+        <Type Value="LRS"/>
+      </Item57>
+      <Item58>
+        <Filename Value="TextPre.pas"/>
+        <UnitName Value="TextPre"/>
+      </Item58>
+      <Item59>
+        <Filename Value="SlaveEdit.pas"/>
+        <UnitName Value="SlaveEdit"/>
+      </Item59>
+      <Item60>
+        <Filename Value="ProfileForm.lfm"/>
+        <Type Value="LFM"/>
+      </Item60>
+      <Item61>
+        <Filename Value="ProfileForm.lrs"/>
+        <Type Value="LRS"/>
+      </Item61>
+      <Item62>
+        <Filename Value="ProfileForm.pas"/>
+        <UnitName Value="ProfileForm"/>
+      </Item62>
+      <Item63>
+        <Filename Value="PcontrolsReg.pas"/>
+        <HasRegisterProc Value="True"/>
+        <UnitName Value="PcontrolsReg"/>
+      </Item63>
+      <Item64>
+        <Filename Value="CompatMsg.pas"/>
+        <AddToUsesPkgSection Value="False"/>
+        <UnitName Value="CompatMsg"/>
+      </Item64>
+      <Item65>
+        <Filename Value="AlEdit.pas"/>
+        <AddToUsesPkgSection Value="False"/>
+        <UnitName Value="AlEdit"/>
+      </Item65>
+      <Item66>
+        <Filename Value="Prevwdlg.lfm"/>
+        <Type Value="LFM"/>
+      </Item66>
+      <Item67>
+        <Filename Value="Prevwdlg.lrs"/>
+        <Type Value="LRS"/>
+      </Item67>
+      <Item68>
+        <Filename Value="Prevwdlg.pas"/>
+        <UnitName Value="Prevwdlg"/>
+      </Item68>
+    </Files>
+    <Type Value="RunAndDesignTime"/>
+    <RequiredPkgs Count="4">
+      <Item1>
+        <PackageName Value="Putils"/>
+      </Item1>
+      <Item2>
+        <PackageName Value="printer4lazarus"/>
+      </Item2>
+      <Item3>
+        <PackageName Value="LCL"/>
+      </Item3>
+      <Item4>
+        <PackageName Value="FCL"/>
+        <MinVersion Major="1" Valid="True"/>
+      </Item4>
+    </RequiredPkgs>
+    <UsageOptions>
+      <UnitPath Value="$(PkgOutDir)/"/>
+    </UsageOptions>
+    <PublishOptions>
+      <Version Value="2"/>
+      <IgnoreBinaries Value="False"/>
+    </PublishOptions>
+  </Package>
+</CONFIG>
diff -ur -P original/wutils/Prevwdlg.pas patched/wutils/Prevwdlg.pas
--- original/wutils/Prevwdlg.pas	2005-07-23 14:43:43.000000000 +0100
+++ patched/wutils/Prevwdlg.pas	2006-05-06 12:15:05.000000000 +0100
@@ -1083,7 +1083,7 @@
 
 {$IFDEF LCL_}
 initialization
-  {$I prevwdlg.lrs}
+  {$I Prevwdlg.lrs}
 {$ENDIF}
 
 end.
diff -ur -P original/wutils/ProjAbout.pas patched/wutils/ProjAbout.pas
--- original/wutils/ProjAbout.pas	2005-07-23 20:12:40.000000000 +0100
+++ patched/wutils/ProjAbout.pas	2006-05-06 12:15:05.000000000 +0100
@@ -218,7 +218,7 @@
 
 initialization
   {$IFDEF LCL_}
-  {$I projabout.lrs}
+  {$I ProjAbout.lrs}
   {$ENDIF}
 end.
 
